commit: fc5c07038aa37eb1444eeac10b2c546944013e1f
Author: Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Sat Oct 10 13:45:23 2020 +0000
Commit: Aisha Tammy <gentoo <AT> aisha <DOT> cc>
CommitDate: Sat Oct 10 13:45:23 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=fc5c0703
sci-biology/weblogo: version bump to 3.7.5
really cool package, can't do bio without this
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>
sci-biology/weblogo/weblogo-3.7.5.ebuild | 33 ++++++++++++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/sci-biology/weblogo/weblogo-3.7.5.ebuild
b/sci-biology/weblogo/weblogo-3.7.5.ebuild
new file mode 100644
index 000000000..ea07941ff
--- /dev/null
+++ b/sci-biology/weblogo/weblogo-3.7.5.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="generate consensus sequence logo figures"
+HOMEPAGE="http://weblogo.threeplusone.com/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/scipy
+"
+BDEPEND="
+ test? (
+ app-text/ghostscript-gpl
+ dev-python/mypy
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "tests failed with ${EPYTHON}"
+}